summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-11 22:55:15 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:15 +0200
commit90c123040ae39a5f934b06c51a58b6eea42ccf1a (patch)
tree52364c16cde10b2e62f247ca01fca60498b570ea /system
parent5f9dbb56f96ff5c13620ce0f2637c00615c535f4 (diff)
downloadslackbuilds-90c123040ae39a5f934b06c51a58b6eea42ccf1a.tar.gz
slackbuilds-90c123040ae39a5f934b06c51a58b6eea42ccf1a.tar.xz
system/efont-unicode-bdf: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/efont-unicode-bdf/README7
-rw-r--r--system/efont-unicode-bdf/doinst.sh25
-rw-r--r--system/efont-unicode-bdf/efont-unicode-bdf.SlackBuild73
-rw-r--r--system/efont-unicode-bdf/efont-unicode-bdf.info8
-rw-r--r--system/efont-unicode-bdf/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/system/efont-unicode-bdf/README b/system/efont-unicode-bdf/README
new file mode 100644
index 0000000000..21f6af4fa9
--- /dev/null
+++ b/system/efont-unicode-bdf/README
@@ -0,0 +1,7 @@
+efont-unicode-bdf (The /efont/ Unicode Bitmap Fonts)
+efont-unicode-bdf is a comprehensive collection of Unicode BDF fonts.
+It consists of 10, 12, 14, 16 and 24 pixels fonts; all fonts having
+bold, italic, and bold-italic typefaces. Included fonts have various
+origins, and the origin of each font is carefully documented to make
+it clear whether and under what conditions you may use, modify, or
+re-distribute any part.
diff --git a/system/efont-unicode-bdf/doinst.sh b/system/efont-unicode-bdf/doinst.sh
new file mode 100644
index 0000000000..e42f5f3968
--- /dev/null
+++ b/system/efont-unicode-bdf/doinst.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Update mkfontscale and mkfontdir:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/misc
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
+
+# For some versions before Slackware 12.0
+if [ -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/X11R6/lib/X11/fonts/misc
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/X11R6/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/efont-unicode-bdf/efont-unicode-bdf.SlackBuild b/system/efont-unicode-bdf/efont-unicode-bdf.SlackBuild
new file mode 100644
index 0000000000..7d1ab7ed0b
--- /dev/null
+++ b/system/efont-unicode-bdf/efont-unicode-bdf.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for efont-unicode-bdf
+
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=efont-unicode-bdf
+VERSION=0.4.2
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Set the directory for X11 fonts
+XPREF=$(pkg-config --variable=prefix x11) || true
+if [ "$XPREF" = "/usr" ]; then
+ X11DIRFONTS=/usr/share/fonts/misc
+else
+ X11DIRFONTS=/usr/X11R6/lib/X11/fonts/local
+fi
+
+# Move fonts to their place.
+mkdir -p $PKG/$X11DIRFONTS
+mv $TMP/$PRGNAM-$VERSION/*.bdf $PKG/$X11DIRFONTS
+
+# In the source dir there's just doumentation files, so lets make
+# the package docs dir with it :)
+mkdir -p $PKG/usr/doc
+mv $TMP/$PRGNAM-$VERSION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/efont-unicode-bdf/efont-unicode-bdf.info b/system/efont-unicode-bdf/efont-unicode-bdf.info
new file mode 100644
index 0000000000..d39bafc127
--- /dev/null
+++ b/system/efont-unicode-bdf/efont-unicode-bdf.info
@@ -0,0 +1,8 @@
+PRGNAM="efont-unicode-bdf"
+VERSION="0.4.2"
+HOMEPAGE="http://openlab.ring.gr.jp/efont/unicode/"
+DOWNLOAD="http://openlab.ring.gr.jp/efont/dist/unicode-bdf/efont-unicode-bdf-0.4.2.tar.bz2"
+MD5SUM="0c0acbb40e44d899472001302b1c9e48"
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="David Somero"
diff --git a/system/efont-unicode-bdf/slack-desc b/system/efont-unicode-bdf/slack-desc
new file mode 100644
index 0000000000..5ff7ac75ab
--- /dev/null
+++ b/system/efont-unicode-bdf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+efont-unicode-bdf: efont-unicode-bdf (The /efont/ Unicode Bitmap Fonts)
+efont-unicode-bdf:
+efont-unicode-bdf: efont-unicode-bdf is a comprehensive collection of Unicode BDF fonts.
+efont-unicode-bdf: It consists of 10, 12, 14, 16 and 24 pixels fonts; all fonts having
+efont-unicode-bdf: bold, italic, and bold-italic typefaces. Included fonts have various
+efont-unicode-bdf: origins, and the origin of each font is carefully documented to make
+efont-unicode-bdf: it clear whether and under what conditions you may use, modify, or
+efont-unicode-bdf: re-distribute any part.
+efont-unicode-bdf: Author: /efont/ -- The Electronic Font Open Laboratory
+efont-unicode-bdf: Homepage: http://openlab.ring.gr.jp/efont/unicode/
+efont-unicode-bdf: